package com.monkeycoder.monkeynes.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * This is a GUI dialog that provides Help About information.
 * <br><br> 
 * Originally part of the MonkeyNES project.
 *
 * @author David Stephens
 */
public class HelpAboutGui
{
  private Frame              parentFrame                      = null;
  private JDialog            mainDialog                       = null;

  /** 
   * Creates and configures a new HelpAboutGui.
   * Note that the window is constructed but not displayed.
   * @param inParentFrame The parent of this dialog.
   */    
  public HelpAboutGui( Frame inParentFrame )
  {
    parentFrame = inParentFrame;
    
    // Dialog
    mainDialog = new JDialog( parentFrame, "Help: About", false );
    
    // Build the main view
    //mainDialog.getContentPane().add( patternScroll,     BorderLayout.CENTER  );

    // Main window closing listener
    mainDialog.addWindowListener( new WindowAdapter()
    {
      public void windowClosing( WindowEvent we )
      {
        mainDialog.hide();
      }
    } );
  } // End of constructor ----------------------------------------------------------

  /**
   * Displays the HelpAboutGui.
   */  
  public void show()
  {
    // Position the window
    Dimension parentSize = parentFrame.getSize();
    Point     parentLoc  = parentFrame.getLocation();
    Dimension mySize     = new Dimension( 145, 290 );
    Point     myLoc      = new Point( (parentLoc.x + (parentSize.width / 2) - (mySize.width / 2 )), 
                                      (parentLoc.y + (parentSize.height / 2) - (mySize.height / 2 )) );
    
    // Fix the location in case the positioning put part of the window off the screen                                      
    if( myLoc.x < 0 ) myLoc.x = 0;                                      
    if( myLoc.y < 0 ) myLoc.y = 0;
    
    // Size and position the window
    mainDialog.setLocation( myLoc );
    mainDialog.setSize( mySize );
    
    // Show the whole mess...
    mainDialog.show();
  }

}