package com.monkeycoder.monkeynes.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * This is a GUI dialog that allows user configuration of input options.
 * <br><br> 
 * Originally part of the MonkeyNES project.
 *
 * @author David Stephens
 */
public class OptionsInputGui
{
  private Frame              parentFrame                      = null;
  private JDialog            mainDialog                       = null;
  
  //private Properties         prop                             = new Properties();

  /** 
   * Creates and configures a new OptionsInputGui.
   * Note that the window is constructed but not displayed.
   * @param inParentFrame The parent of this dialog.
   */    
  public OptionsInputGui( Frame inParentFrame )
  {
    parentFrame = inParentFrame;
    
    // Open the properties
    /*
    try
    {
      FileInputStream fis = new FileInputStream( ClassLoader.getSystemResource("monkeynes.ini").getPath() );
      prop.load( fis );
      fis.close();
    }
    catch( IOException ioe )
    {
      DebugLog.log( 1, "Failed to load properties." );
    }
    */
    
    // Dialog
    mainDialog = new JDialog( parentFrame, "Options: Input", false );
    
    // Build the main view
    //mainDialog.getContentPane().add( ,     BorderLayout.CENTER  );

    // Main window closing listener
    mainDialog.addWindowListener( new WindowAdapter()
    {
      public void windowClosing( WindowEvent we )
      {
        mainDialog.hide();
      }
    } );
  } // End of constructor ----------------------------------------------------------
  
  /**
   * Displays the OptionsInputGui.
   */  
  public void show()
  {
    // Position the window
    Dimension parentSize = parentFrame.getSize();
    Point     parentLoc  = parentFrame.getLocation();
    Dimension mySize     = new Dimension( 300, 75 );
    Point     myLoc      = new Point( (parentLoc.x + (parentSize.width / 2) - (mySize.width / 2 )), 
                                      (parentLoc.y + (parentSize.height / 2) - (mySize.height / 2 )) );
    
    // Fix the location in case the positioning put part of the window off the screen                                      
    if( myLoc.x < 0 ) myLoc.x = 0;                                      
    if( myLoc.y < 0 ) myLoc.y = 0;
    
    // Size and position the window
    mainDialog.setLocation( myLoc );
    mainDialog.setSize( mySize );
    
    // Show the whole mess...
    mainDialog.show();
  }

}